# API Response Code

<table><thead><tr><th width="277">Status</th><th width="87">Code</th><th>Reason</th></tr></thead><tbody><tr><td>api_result_authentication_failed</td><td>-8</td><td>Authentication failure. Check username and password</td></tr><tr><td>api_result_could_not_save</td><td>-256</td><td>Could not save</td></tr><tr><td>api_result_duplicate_record</td><td>-512</td><td>Duplicate record found (when adding)</td></tr><tr><td>api_result_internal_error</td><td>-16</td><td>Internal error</td></tr><tr><td>api_result_invalid_record</td><td>-128</td><td>Invalid record</td></tr><tr><td>api_result_key_created</td><td>2</td><td>API Request Key created</td></tr><tr><td>api_result_message_sent</td><td>1</td><td>Message sent/queued</td></tr><tr><td>api_result_missing_parameter</td><td>-4</td><td>There was a required parameter missing from the request (see 'details' key in result for more information)</td></tr><tr><td>api_result_no_action_specified</td><td>-1</td><td>No action was specified in the request</td></tr><tr><td>api_result_no_such_action</td><td>-2</td><td>There was no matching action found</td></tr><tr><td>api_result_ok</td><td>0</td><td>Generic OK</td></tr><tr><td>api_result_out_of_credit</td><td>-64</td><td>Out of credit</td></tr><tr><td>api_result_routing_error</td><td>-32</td><td>Routing error</td></tr><tr><td>api_result_timeout</td><td>-8192</td><td>User has exceeded the maximum number of simultaneous requests to the API</td></tr><tr><td>api_result_too_many_connections</td><td>-4096</td><td>User has exceeded the maximum number of simultaneous requests to the API</td></tr><tr><td>api_result_user_invalid_affiliate</td><td>-1024</td><td>User is not part of any affiliate program</td></tr><tr><td>api_result_user_no_hlr</td><td>-2048</td><td>User does not have HLR enabled on his account</td></tr><tr><td>batch_status_busy</td><td>16</td><td>Batch is busy being processed</td></tr><tr><td>batch_status_error</td><td>128</td><td>There was an error processing the batch</td></tr><tr><td>batch_status_filter</td><td>256</td><td>The batch is waiting to be filtered. Set the batch to this status if you wish for it to be filtered.</td></tr><tr><td>batch_status_filtering</td><td>512</td><td>Batch is busy being filtered</td></tr><tr><td>batch_status_new</td><td>1</td><td>Batch is waiting to be processed</td></tr><tr><td>batch_status_parsing</td><td>2</td><td>Batch is busy being parsed</td></tr><tr><td>batch_status_parsing_paused</td><td>4</td><td>Parsing of the batch has been paused</td></tr><tr><td>batch_status_paused</td><td>32</td><td>Batch has been parsed and is currently paused</td></tr><tr><td>batch_status_ready</td><td>8</td><td>Batch is waiting to be processed (no action required)</td></tr><tr><td>batch_status_submitted</td><td>64</td><td>Batch has been submitted</td></tr><tr><td>maximum_affliate_registrations_reached</td><td>-2048</td><td>User has reached maximum registrations during specified period.</td></tr><tr><td>message_status_acknowledged</td><td>1</td><td>Message acknowledged</td></tr><tr><td>message_status_delivered</td><td>4</td><td>Message has been delivered</td></tr><tr><td>message_status_does_not_exist</td><td>-1</td><td>Message does not exist</td></tr><tr><td>message_status_failed</td><td>32</td><td>Message failed</td></tr><tr><td>message_status_filtered</td><td>64</td><td>Filtered (blocked or previously failed)</td></tr><tr><td>message_status_internal_failed</td><td>8</td><td>Message failed (internal error)</td></tr><tr><td>message_status_routing_error</td><td>16</td><td>Routing error</td></tr><tr><td>message_status_submitted</td><td>2</td><td>Message has been sent to the networks</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://panaceamobile.gitbook.io/panacea-mobile-help-centre/developers/https-api/api-response-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
